# List users

`GET https://api.airtable.com/scim/v2/Users`

List users as [SCIM User](https://datatracker.ietf.org/doc/html/rfc7643#section-4.1) objects.

See the SCIM specification for [list responses](https://datatracker.ietf.org/doc/html/rfc7644#section-3.4.2) for more.

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`enterprise.scim.usersAndGroups:manage`](https://airtable.com/developers/web/api/scopes.md#enterprise-scim-users-and-groups-manage)
- **User role:** Enterprise admin _Note: Admins of multiple enterprises should use a service account's token when calling this route._
- **Billing plans:** Business, Enterprise (pre-2023.08 legacy plan), Enterprise Scale

## Query parameters

- `startIndex: number` — optional

  Position of the first result from the full list of users, starting from 1,
  defaults to 1.

- `count: number` — optional

  Number of users to return, defaults to all users.

- `filter: string` — optional

  The SCIM spec includes additional filter options, but we only support equality
  filtering by the Airtable user email, which is the SCIM user name.

## Response format

- `schemas: array<string>` — required

- `startIndex: number` — required

  Position of the first result from the full list of groups, starting from 1, defaults to 1.

- `itemsPerPage: number` — required

- `totalResults: number` — required

- `Resources: array<SCIM-user-schema>` — required

### Example — Success

```sh
curl "https://api.airtable.com/scim/v2/Users" \
-H "Authorization: Bearer YOUR_TOKEN"
```

```json
{
  "Resources": [
    {
      "active": true,
      "id": "usrogvSbotRtzdtZW",
      "meta": {
        "created": "2021-06-02T07:37:19.000Z",
        "location": "/scim/v2/Users/usr00000000000000",
        "resourceType": "User"
      },
      "name": {
        "familyName": "Jane",
        "givenName": "Doe"
      },
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:User"
      ],
      "userName": "foo@bar.com"
    }
  ],
  "itemsPerPage": 1,
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:ListResponse"
  ],
  "startIndex": 2,
  "totalResults": 3
}
```
